Uses of Interface
io.vertx.core.buffer.Buffer
Packages that use Buffer
Package
Description
-
Uses of Buffer in io.vertx.amqp
Methods in io.vertx.amqp that return BufferMethods in io.vertx.amqp with parameters of type BufferModifier and TypeMethodDescriptionAmqpClientOptions.addCrlValue(Buffer crlValue) AmqpMessageBuilder.withBufferAsBody(Buffer buffer) -
Uses of Buffer in io.vertx.config.consul
Methods in io.vertx.config.consul that return types with arguments of type Buffer -
Uses of Buffer in io.vertx.config.git
Methods in io.vertx.config.git that return types with arguments of type Buffer -
Uses of Buffer in io.vertx.config.hocon
Methods in io.vertx.config.hocon with parameters of type BufferModifier and TypeMethodDescriptionHoconProcessor.process(Vertx vertx, JsonObject configuration, Buffer input) -
Uses of Buffer in io.vertx.config.kubernetes
Methods in io.vertx.config.kubernetes that return types with arguments of type Buffer -
Uses of Buffer in io.vertx.config.redis
Methods in io.vertx.config.redis that return types with arguments of type Buffer -
Uses of Buffer in io.vertx.config.spi
Methods in io.vertx.config.spi that return types with arguments of type BufferModifier and TypeMethodDescriptionConfigStore.get()Retrieves the configuration store in this store.Methods in io.vertx.config.spi with parameters of type BufferModifier and TypeMethodDescriptionConfigProcessor.process(Vertx vertx, JsonObject configuration, Buffer input) Transforms the giveninputinto aJsonObject. -
Uses of Buffer in io.vertx.config.vault
Methods in io.vertx.config.vault that return types with arguments of type Buffer -
Uses of Buffer in io.vertx.config.yaml
Methods in io.vertx.config.yaml with parameters of type BufferModifier and TypeMethodDescriptionYamlProcessor.process(Vertx vertx, JsonObject configuration, Buffer input) -
Uses of Buffer in io.vertx.config.zookeeper
Methods in io.vertx.config.zookeeper that return types with arguments of type Buffer -
Uses of Buffer in io.vertx.core.buffer
Methods in io.vertx.core.buffer that return BufferModifier and TypeMethodDescriptionBuffer.appendBuffer(Buffer buff) Appends the specifiedBufferto the end of this Buffer.Buffer.appendBuffer(Buffer buff, int offset, int len) Appends the specifiedBufferstarting at theoffsetusinglento the end of this Buffer.Buffer.appendByte(byte b) Appends the specifiedbyteto the end of the Buffer.Buffer.appendBytes(byte[] bytes) Appends the specifiedbyte[]to the end of the Buffer.Buffer.appendBytes(byte[] bytes, int offset, int len) Appends the specified number of bytes frombyte[]to the end of the Buffer, starting at the given offset.Buffer.appendDouble(double d) Appends the specifieddoubleto the end of the Buffer.Buffer.appendDoubleLE(double d) Appends the specified unsigneddoubleto the end of the Buffer in the Little Endian Byte Order.The buffer will expand as necessary to accommodate any bytes written.Buffer.appendFloat(float f) Appends the specifiedfloatto the end of the Buffer.Buffer.appendFloatLE(float f) Appends the specified unsignedfloatto the end of the Buffer in the Little Endian Byte Order.The buffer will expand as necessary to accommodate any bytes written.Buffer.appendInt(int i) Appends the specifiedintto the end of the Buffer.Buffer.appendIntLE(int i) Appends the specifiedintto the end of the Buffer in the Little Endian Byte Order.Buffer.appendLong(long l) Appends the specifiedlongto the end of the Buffer.Buffer.appendLongLE(long l) Appends the specifiedlongto the end of the Buffer in the Little Endian Byte Order.Buffer.appendMedium(int i) Appends the specified 24bitintto the end of the Buffer.Buffer.appendMediumLE(int i) Appends the specified 24bitintto the end of the Buffer in the Little Endian Byte Order.Buffer.appendShort(short s) Appends the specifiedshortto the end of the Buffer.The buffer will expand as necessary to accommodate any bytes written.Buffer.appendShortLE(short s) Appends the specifiedshortto the end of the Buffer in the Little Endian Byte Order.The buffer will expand as necessary to accommodate any bytes written.Buffer.appendString(String str) Appends the specifiedString strto the end of the Buffer with UTF-8 encoding.Buffer.appendString(String str, String enc) Appends the specifiedStringto the end of the Buffer with the encoding as specified byenc.Buffer.appendUnsignedByte(short b) Appends the specified unsignedbyteto the end of the Buffer.Buffer.appendUnsignedInt(long i) Appends the specified unsignedintto the end of the Buffer.Buffer.appendUnsignedIntLE(long i) Appends the specified unsignedintto the end of the Buffer in the Little Endian Byte Order.Buffer.appendUnsignedShort(int s) Appends the specified unsignedshortto the end of the Buffer.The buffer will expand as necessary to accommodate any bytes written.Buffer.appendUnsignedShortLE(int s) Appends the specified unsignedshortto the end of the Buffer in the Little Endian Byte Order.The buffer will expand as necessary to accommodate any bytes written.static BufferBuffer.buffer()Create a new, empty buffer.static BufferBuffer.buffer(byte[] bytes) Create a new buffer from a byte[].static BufferBuffer.buffer(int initialSizeHint) Create a new buffer given the initial size hint.static BufferCreate a new buffer from a string.static BufferCreate a new buffer from a string and using the specified encoding.Buffer.copy()Returns a copy of the entire Buffer.static BufferCreate a buffer from the base 64 URL encodedvalueBuffer.getBuffer(int start, int end) Returns a copy of a sub-sequence the Buffer as aBufferstarting at positionstartand ending at positionend - 1Buffer.getBytes(byte[] dst) Transfers the content of the Buffer into abyte[].Buffer.getBytes(byte[] dst, int dstIndex) Transfers the content of the Buffer into abyte[]at the specific destination.Buffer.getBytes(int start, int end, byte[] dst) Transfers the content of the Buffer starting at positionstartand ending at positionend - 1into abyte[].Buffer.getBytes(int start, int end, byte[] dst, int dstIndex) Transfers the content of the Buffer starting at positionstartand ending at positionend - 1into abyte[]at the specific destination.Sets the bytes at positionposin the Buffer to the bytes represented by theBuffer b.Sets the bytes at positionposin the Buffer to the bytes represented by theBuffer bon the givenoffsetandlen.Buffer.setByte(int pos, byte b) Sets thebyteat positionposin the Buffer to the valueb.Buffer.setBytes(int pos, byte[] b) Sets the bytes at positionposin the Buffer to the bytes represented by thebyte[] b.Buffer.setBytes(int pos, byte[] b, int offset, int len) Sets the given number of bytes at positionposin the Buffer to the bytes represented by thebyte[] b.Buffer.setBytes(int pos, ByteBuffer b) Sets the bytes at positionposin the Buffer to the bytes represented by theByteBuffer b.Buffer.setDouble(int pos, double d) Sets thedoubleat positionposin the Buffer to the valued.Buffer.setDoubleLE(int pos, double d) Sets thedoubleat positionposin the Buffer to the valuedin the Little Endian Byte Order.Buffer.setFloat(int pos, float f) Sets thefloatat positionposin the Buffer to the valuef.Buffer.setFloatLE(int pos, float f) Sets thefloatat positionposin the Buffer to the valuefin the Little Endian Byte Order.Buffer.setInt(int pos, int i) Sets theintat positionposin the Buffer to the valuei.Buffer.setIntLE(int pos, int i) Sets theintat positionposin the Buffer to the valueiin the Little Endian Byte Order.Buffer.setLong(int pos, long l) Sets thelongat positionposin the Buffer to the valuel.Buffer.setLongLE(int pos, long l) Sets thelongat positionposin the Buffer to the valuelin the Little Endian Byte Order.Buffer.setMedium(int pos, int i) Sets the 24bitintat positionposin the Buffer to the valuei.Buffer.setMediumLE(int pos, int i) Sets the 24bitintat positionposin the Buffer to the valuei. in the Little Endian Byte OrderBuffer.setShort(int pos, short s) Sets theshortat positionposin the Buffer to the values.Buffer.setShortLE(int pos, short s) Sets theshortat positionposin the Buffer to the valuesin the Little Endian Byte Order.Sets the bytes at positionposin the Buffer to the value ofstrencoded in UTF-8.Sets the bytes at positionposin the Buffer to the value ofstrencoded in encodingenc.Buffer.setUnsignedByte(int pos, short b) Sets the unsignedbyteat positionposin the Buffer to the valueb.Buffer.setUnsignedInt(int pos, long i) Sets the unsignedintat positionposin the Buffer to the valuei.Buffer.setUnsignedIntLE(int pos, long i) Sets the unsignedintat positionposin the Buffer to the valueiin the Little Endian Byte Order.Buffer.setUnsignedShort(int pos, int s) Sets the unsignedshortat positionposin the Buffer to the values.Buffer.setUnsignedShortLE(int pos, int s) Sets the unsignedshortat positionposin the Buffer to the valuesin the Little Endian Byte Order.Buffer.slice()Returns a slice of this buffer.Buffer.slice(int start, int end) Returns a slice of this buffer.Methods in io.vertx.core.buffer with parameters of type BufferModifier and TypeMethodDescriptionBuffer.appendBuffer(Buffer buff) Appends the specifiedBufferto the end of this Buffer.Buffer.appendBuffer(Buffer buff, int offset, int len) Appends the specifiedBufferstarting at theoffsetusinglento the end of this Buffer.Sets the bytes at positionposin the Buffer to the bytes represented by theBuffer b.Sets the bytes at positionposin the Buffer to the bytes represented by theBuffer bon the givenoffsetandlen. -
Uses of Buffer in io.vertx.core.datagram
Methods in io.vertx.core.datagram that return BufferMethods in io.vertx.core.datagram that return types with arguments of type BufferModifier and TypeMethodDescriptionMethods in io.vertx.core.datagram with parameters of type Buffer -
Uses of Buffer in io.vertx.core.dns
Methods in io.vertx.core.dns that return BufferMethods in io.vertx.core.dns with parameters of type BufferModifier and TypeMethodDescriptionAddressResolverOptions.setHostsValue(Buffer hostsValue) Set an alternate hosts configuration file to use instead of the one provided by the os. -
Uses of Buffer in io.vertx.core.eventbus
Methods in io.vertx.core.eventbus with parameters of type BufferModifier and TypeMethodDescriptionEventBusOptions.addCrlValue(Buffer crlValue) MessageCodec.decodeFromWire(int pos, Buffer buffer) Called by Vert.x when a message is decoded from the wire.voidMessageCodec.encodeToWire(Buffer buffer, S s) Called by Vert.x when marshalling a message to the wire. -
Uses of Buffer in io.vertx.core.file
Subinterfaces with type arguments of type Buffer in io.vertx.core.fileModifier and TypeInterfaceDescriptioninterfaceRepresents a file on the file-system which can be read from, or written to asynchronously.interfaceRepresents a file on the file-system which can be read from, or written to asynchronously.Methods in io.vertx.core.file that return BufferModifier and TypeMethodDescriptionFileSystem.readFileBlocking(String path) Blocking version ofFileSystem.readFile(String)Methods in io.vertx.core.file that return types with arguments of type BufferModifier and TypeMethodDescriptionReadslengthbytes of data from the file at positionpositionin the file, asynchronously.Reads the entire file as represented by the pathpathas aBuffer, asynchronously.Methods in io.vertx.core.file with parameters of type BufferModifier and TypeMethodDescriptionReadslengthbytes of data from the file at positionpositionin the file, asynchronously.Write aBufferto the file at positionpositionin the file, asynchronously.Creates the file, and writes the specifiedBuffer datato the file represented by the pathpath, asynchronously.FileSystem.writeFileBlocking(String path, Buffer data) Blocking version ofFileSystem.writeFile(String, Buffer)Method parameters in io.vertx.core.file with type arguments of type Buffer -
Uses of Buffer in io.vertx.core.http
Subinterfaces with type arguments of type Buffer in io.vertx.core.httpModifier and TypeInterfaceDescriptioninterfaceRepresents a client-side HTTP request.interfaceRepresents a client-side HTTP response.interfaceRepresents an file upload from an HTML FORM.interfaceRepresents a server-side HTTP request.interfaceRepresents a server-side HTTP response.interfaceBase WebSocket implementation.interfaceBase WebSocket implementation.Methods in io.vertx.core.http that return BufferModifier and TypeMethodDescriptionWebSocketFrame.binaryData()UpgradeRejectedException.getBody()GoAway.getDebugData()HttpFrame.payload()Methods in io.vertx.core.http that return types with arguments of type BufferModifier and TypeMethodDescriptionHttpClientResponse.body()Convenience method for receiving the entire request body in one piece.HttpServerRequest.body()Convenience method for receiving the entire request body in one piece.Send a PING frame to the remote endpoint.HttpConnection.proxyProtocolV2HeaderTLVs()HttpConnection.proxyProtocolV2HeaderTLVs()Methods in io.vertx.core.http with parameters of type BufferModifier and TypeMethodDescriptionHttpClientOptions.addCrlValue(Buffer crlValue) HttpServerOptions.addCrlValue(Buffer crlValue) WebSocketClientOptions.addCrlValue(Buffer crlValue) ClientMultipartForm.binaryFileUpload(String name, String filename, String mediaType, Buffer content) Add a binary file upload form data part.static WebSocketFrameWebSocketFrame.binaryFrame(Buffer data, boolean isFinal) Create a binary WebSocket frame.static WebSocketFrameWebSocketFrame.continuationFrame(Buffer data, boolean isFinal) Create a continuation frameSame asHttpClientRequest.end()but writes some data to the request body before ending.Same asHttpServerResponse.end()but writes some data to the response body before ending.Deprecated.Send a PING frame to the remote endpoint.static WebSocketFrameCreate a ping WebSocket frame.static WebSocketFrameCreate a pong WebSocket frame.default Future<HttpClientResponse> Send the request with a bufferbody.Send the request with a bufferbody.GoAway.setDebugData(Buffer debugData) Set the additional debug dataClientMultipartForm.textFileUpload(String name, String filename, String mediaType, Buffer content) Add a text file upload form data part.WebSocketBase.writeBinaryMessage(Buffer data) Writes a (potentially large) piece of binary data to the connection.HttpClientRequest.writeCustomFrame(int type, int flags, Buffer payload) Write an HTTP/2 frame to the request, allowing to extend the HTTP/2 protocol.HttpServerResponse.writeCustomFrame(int type, int flags, Buffer payload) Write an HTTP/2 frame to the response, allowing to extend the HTTP/2 protocol.WebSocketBase.writeFinalBinaryFrame(Buffer data) Write a final WebSocket binary frame to the connectionWrites a ping frame to the connection.Writes a pong frame to the connection.Method parameters in io.vertx.core.http with type arguments of type BufferModifier and TypeMethodDescriptionClientWebSocket.binaryMessageHandler(Handler<Buffer> handler) WebSocket.binaryMessageHandler(Handler<Buffer> handler) WebSocketBase.binaryMessageHandler(Handler<Buffer> handler) Set a binary message handler on the connection.default HttpClientResponseHttpClientResponse.bodyHandler(Handler<Buffer> bodyHandler) Convenience method for receiving the entire request body in one piece.default HttpServerRequestHttpServerRequest.bodyHandler(Handler<Buffer> bodyHandler) Convenience method for receiving the entire request body in one piece.HttpConnection.pingHandler(Handler<Buffer> handler) Set an handler notified when a PING frame is received from the remote endpoint.ClientWebSocket.pongHandler(Handler<Buffer> handler) WebSocket.pongHandler(Handler<Buffer> handler) WebSocketBase.pongHandler(Handler<Buffer> handler) Set a pong frame handler on the connection.default Future<HttpClientResponse> HttpClientRequest.send(ReadStream<Buffer> body) Send the request with a streambody.HttpServerResponse.send(ReadStream<Buffer> body) Send the request with a streambody.Constructors in io.vertx.core.http with parameters of type BufferModifierConstructorDescriptionUpgradeRejectedException(String message, int status, MultiMap headers, Buffer content) -
Uses of Buffer in io.vertx.core.json
Methods in io.vertx.core.json that return BufferModifier and TypeMethodDescriptionstatic BufferJson.encodeToBuffer(Object obj) Encode a POJO to JSON using the underlying Jackson mapper.JsonArray.getBuffer(int pos) Get the Buffer at positionposin the array.Get theBuffervalue with the specified key.LikeJsonObject.getBuffer(String)but specifying a default value to return if there is no entry.JsonArray.toBuffer()Encode this JSON object as buffer.JsonObject.toBuffer()Encode this JSON object as buffer.Methods in io.vertx.core.json with parameters of type BufferModifier and TypeMethodDescriptionstatic ObjectJson.decodeValue(Buffer buf) Decode a given JSON buffer.static <T> TJson.decodeValue(Buffer buf, Class<T> clazz) Decode a given JSON buffer to a POJO of the given class type.LikeJsonObject.getBuffer(String)but specifying a default value to return if there is no entry.intJsonArray.readFromBuffer(int pos, Buffer buffer) intJsonObject.readFromBuffer(int pos, Buffer buffer) voidJsonArray.writeToBuffer(Buffer buffer) voidJsonObject.writeToBuffer(Buffer buffer) Constructors in io.vertx.core.json with parameters of type BufferModifierConstructorDescriptionCreate an instance from a Buffer of JSON.JsonObject(Buffer buf) Create an instance from a buffer. -
Uses of Buffer in io.vertx.core.json.jackson
Methods in io.vertx.core.json.jackson that return BufferModifier and TypeMethodDescriptionMethods in io.vertx.core.json.jackson with parameters of type BufferModifier and TypeMethodDescriptionstatic JsonParserJacksonCodec.createParser(Buffer buf) <T> TDatabindCodec.fromBuffer(Buffer buf, TypeReference<T> typeRef) <T> TDatabindCodec.fromBuffer(Buffer buf, Class<T> clazz) JacksonCodec.fromBuffer(Buffer buf) <T> TJacksonCodec.fromBuffer(Buffer json, Class<T> clazz) -
Uses of Buffer in io.vertx.core.net
Subinterfaces with type arguments of type Buffer in io.vertx.core.netModifier and TypeInterfaceDescriptioninterfaceRepresents a channel interface modelling a duplex flow controlled byte oriented stream.interfaceRepresents a channel interface modelling a duplex flow controlled byte oriented stream.Methods in io.vertx.core.net that return BufferModifier and TypeMethodDescriptionPemKeyCertOptions.getCertValue()Get the first certificate as a bufferPemKeyCertOptions.getKeyValue()Get the first key as a bufferQuicConnectionClose.getReason()KeyStoreOptionsBase.getValue()Get the key store as a bufferMethods in io.vertx.core.net that return types with arguments of type BufferModifier and TypeMethodDescriptionPemKeyCertOptions.getCertValues()Get all the certificates as a list of bufferPemTrustOptions.getCertValues()SSLOptions.getCrlValues()Get the CRL valuesTCPSSLOptions.getCrlValues()Get the CRL valuesPemKeyCertOptions.getKeyValues()Get all the keys as a list of bufferNetSocket.proxyProtocolV2HeaderTLVs()NetSocket.proxyProtocolV2HeaderTLVs()Methods in io.vertx.core.net with parameters of type BufferModifier and TypeMethodDescriptionPemKeyCertOptions.addCertValue(Buffer certValue) Add a certificate as a bufferPemTrustOptions.addCertValue(Buffer certValue) Add a certificate valueClientOptionsBase.addCrlValue(Buffer crlValue) ClientSSLOptions.addCrlValue(Buffer crlValue) NetClientOptions.addCrlValue(Buffer crlValue) NetServerOptions.addCrlValue(Buffer crlValue) ServerSSLOptions.addCrlValue(Buffer crlValue) SSLOptions.addCrlValue(Buffer crlValue) Add a CRL valueTCPSSLOptions.addCrlValue(Buffer crlValue) Add a CRL valuePemKeyCertOptions.addKeyValue(Buffer keyValue) Add a key as a bufferPemKeyCertOptions.setCertValue(Buffer certValue) Set the first certificate as a buffer, replacing the previous certificates buffersPemKeyCertOptions.setKeyValue(Buffer keyValue) Set the first key a a buffer, replacing the previous keys buffersSet the close reasonSet the key store as a bufferSet the key store as a bufferSet the key store as a bufferNetSocket.upgradeToSsl(Buffer msg) LikeNetSocket.upgradeToSsl(SSLOptions, String, Buffer)with the default SSL options and without indicating a server name.NetSocket.upgradeToSsl(SSLOptions sslOptions, Buffer msg) LikeNetSocket.upgradeToSsl(SSLOptions, String, Buffer)without indicating a server nameNetSocket.upgradeToSsl(SSLOptions sslOptions, String serverName, Buffer upgrade) Upgrade the channel to use SSL/TLS, in other words proceeds to the TLS handshake.NetSocket.upgradeToSsl(String serverName, Buffer msg) LikeNetSocket.upgradeToSsl(SSLOptions, String, Buffer)with the default SSL options.QuicConnection.writeDatagram(Buffer buffer) Send a datagram.Method parameters in io.vertx.core.net with type arguments of type BufferModifier and TypeMethodDescriptionQuicConnection.datagramHandler(Handler<Buffer> handler) Set a handler called with the datagram addressed to this connection.Set the handler signaled with the data events the remote peer has sent.PemKeyCertOptions.setCertValues(List<Buffer> certValues) Set all the certificates as a list of bufferPemKeyCertOptions.setKeyValues(List<Buffer> keyValues) Set all the keys as a list of buffer -
Uses of Buffer in io.vertx.core.parsetools
Subinterfaces with type arguments of type Buffer in io.vertx.core.parsetoolsModifier and TypeInterfaceDescriptioninterfaceA parser class which allows to incrementally parse json elements and emit json parse events instead of parsing a json element fully.interfaceA helper class which allows you to easily parse protocols which are delimited by a sequence of bytes, or fixed size records.interfaceA helper class which allows you to easily parse protocols which are delimited by a sequence of bytes, or fixed size records.Methods in io.vertx.core.parsetools that return BufferMethods in io.vertx.core.parsetools with parameters of type BufferModifier and TypeMethodDescriptionvoidRecordParser.delimitedMode(Buffer delim) Flip the parser into delimited mode, and where the delimiter can be represented by the delimiterdelim.voidThis method is called to provide the parser with data.static RecordParserRecordParser.newDelimited(Buffer delim) Create a newRecordParserinstance, initially in delimited mode, and where the delimiter can be represented by theBufferdelim.static RecordParserRecordParser.newDelimited(Buffer delim, Handler<Buffer> output) LikeRecordParser.newDelimited(Buffer)but set theoutputthat will receive whole records which have been parsed.static RecordParserRecordParser.newDelimited(Buffer delim, ReadStream<Buffer> stream) LikeRecordParser.newDelimited(Buffer)but wraps thestream.Handle aBuffer, pretty much like callingHandler.handle(Object).Method parameters in io.vertx.core.parsetools with type arguments of type BufferModifier and TypeMethodDescriptionstatic RecordParserRecordParser.newDelimited(Buffer delim, Handler<Buffer> output) LikeRecordParser.newDelimited(Buffer)but set theoutputthat will receive whole records which have been parsed.static RecordParserRecordParser.newDelimited(Buffer delim, ReadStream<Buffer> stream) LikeRecordParser.newDelimited(Buffer)but wraps thestream.static RecordParserRecordParser.newDelimited(String delim, Handler<Buffer> output) LikeRecordParser.newDelimited(String)but set theoutputthat will receive whole records which have been parsed.static RecordParserRecordParser.newDelimited(String delim, ReadStream<Buffer> stream) LikeRecordParser.newDelimited(String)but wraps thestream.static RecordParserLikeRecordParser.newFixed(int)but set theoutputthat will receive whole records which have been parsed.static RecordParserRecordParser.newFixed(int size, ReadStream<Buffer> stream) LikeRecordParser.newFixed(int)but wraps thestream.static JsonParserJsonParser.newParser(ReadStream<Buffer> stream) Create a newJsonParserinstance.void -
Uses of Buffer in io.vertx.core.spi.cluster
Methods in io.vertx.core.spi.cluster with parameters of type BufferModifier and TypeMethodDescriptionintNodeInfo.readFromBuffer(int start, Buffer buffer) intRegistrationInfo.readFromBuffer(int start, Buffer buffer) voidNodeInfo.writeToBuffer(Buffer buffer) voidRegistrationInfo.writeToBuffer(Buffer buffer) -
Uses of Buffer in io.vertx.core.spi.json
Methods in io.vertx.core.spi.json that return BufferModifier and TypeMethodDescriptiondefault BufferLikeJsonCodec.toString(Object)but with a jsonBufferLikeJsonCodec.toString(Object, boolean)but with a jsonBufferMethods in io.vertx.core.spi.json with parameters of type BufferModifier and TypeMethodDescription<T> TJsonCodec.fromBuffer(Buffer json, Class<T> clazz) LikeJsonCodec.fromString(String, Class)but with a jsonBuffer -
Uses of Buffer in io.vertx.ext.auth
Methods in io.vertx.ext.auth that return BufferMethods in io.vertx.ext.auth with parameters of type BufferModifier and TypeMethodDescriptionThe PEM or Secret key buffer. -
Uses of Buffer in io.vertx.ext.consul
Methods in io.vertx.ext.consul with parameters of type BufferModifier and TypeMethodDescriptionConsulClientOptions.addCrlValue(Buffer crlValue) Add a CRL value -
Uses of Buffer in io.vertx.ext.mail
Methods in io.vertx.ext.mail that return BufferMethods in io.vertx.ext.mail that return types with arguments of type BufferMethods in io.vertx.ext.mail with parameters of type BufferMethod parameters in io.vertx.ext.mail with type arguments of type BufferModifier and TypeMethodDescriptionMailAttachment.setStream(ReadStream<Buffer> stream) Sets the data stream. -
Uses of Buffer in io.vertx.ext.mail.mailencoder
Methods in io.vertx.ext.mail.mailencoder that return types with arguments of type BufferModifier and TypeMethodDescriptionEncodedPart.bodyStream(Context context) EncodedPart.dkimBodyStream(Context context) -
Uses of Buffer in io.vertx.ext.mongo
Methods in io.vertx.ext.mongo that return types with arguments of type BufferModifier and TypeMethodDescriptionMongoGridFsClient.readByFileName(String fileName) Read file by name to ReadStreamMongoGridFsClient.readByFileNameWithOptions(String fileName, GridFsDownloadOptions options) Read file by name to ReadStream with optionsRead file by id to ReadStreamMethod parameters in io.vertx.ext.mongo with type arguments of type BufferModifier and TypeMethodDescriptionMongoGridFsClient.downloadByFileName(WriteStream<Buffer> stream, String fileName) MongoGridFsClient.downloadByFileNameWithOptions(WriteStream<Buffer> stream, String fileName, GridFsDownloadOptions options) MongoGridFsClient.downloadById(WriteStream<Buffer> stream, String id) MongoGridFsClient.uploadByFileName(ReadStream<Buffer> stream, String fileName) MongoGridFsClient.uploadByFileNameWithOptions(ReadStream<Buffer> stream, String fileName, GridFsUploadOptions options) -
Uses of Buffer in io.vertx.ext.shell.term
Methods in io.vertx.ext.shell.term that return BufferModifier and TypeMethodDescriptionstatic BufferHttpTermOptions.defaultShellHtmlResource()static BufferHttpTermOptions.defaultTermJsResource()static BufferHttpTermOptions.defaultVertxShellJsResource()HttpTermOptions.getShellHtmlResource()HttpTermOptions.getTermJsResource()HttpTermOptions.getVertsShellJsResource()Methods in io.vertx.ext.shell.term with parameters of type BufferModifier and TypeMethodDescriptionHttpTermOptions.addCrlValue(Buffer crlValue) TelnetTermOptions.addCrlValue(Buffer crlValue) HttpTermOptions.setShellHtmlResource(Buffer shellHtmlResource) Setshell.htmlresource to use.HttpTermOptions.setTermJsResource(Buffer termJsResource) Setterm.jsresource to use.HttpTermOptions.setVertsShellJsResource(Buffer vertsShellJsResource) Setvertxshell.jsresource to use. -
Uses of Buffer in io.vertx.ext.stomp
Methods in io.vertx.ext.stomp that return BufferModifier and TypeMethodDescriptionFrame.getBody()Frame.toBuffer()This method does not enforce the trailing line option.Frame.toBuffer(boolean trailingLine) Creates a buffer for the current frame.Methods in io.vertx.ext.stomp with parameters of type BufferModifier and TypeMethodDescriptionSends aSENDframe to the server to the given destination.Sends aSENDframe to the server to the given destination.Sends aSENDframe to the server.Sets the body of the frame.Writes the given buffer to the socket.Constructors in io.vertx.ext.stomp with parameters of type Buffer -
Uses of Buffer in io.vertx.ext.web
Methods in io.vertx.ext.web that return BufferMethods in io.vertx.ext.web with parameters of type Buffer -
Uses of Buffer in io.vertx.ext.web.api.service
Methods in io.vertx.ext.web.api.service that return BufferMethods in io.vertx.ext.web.api.service with parameters of type BufferModifier and TypeMethodDescriptionstatic ServiceResponseServiceResponse.completedWithJson(Buffer json) Creates aServiceResponsewith status code 200, status message OK, content typeapplication/jsonandjsonas bodystatic ServiceResponseServiceResponse.completedWithPlainText(Buffer text) Creates aServiceResponsewith status code 200, status message OK, content typetext/plainandtextas bodyServiceResponse.setPayload(Buffer payload) Constructors in io.vertx.ext.web.api.service with parameters of type BufferModifierConstructorDescriptionServiceResponse(Integer statusCode, String statusMessage, Buffer payload, MultiMap headers) -
Uses of Buffer in io.vertx.ext.web.client
Methods in io.vertx.ext.web.client that return BufferMethods in io.vertx.ext.web.client that return types with arguments of type BufferModifier and TypeMethodDescriptiondefault HttpRequest<Buffer> WebClient.delete(int port, String host, UriTemplate requestURI) Create an HTTP DELETE request to send to the server at the specified host and port.default HttpRequest<Buffer> Create an HTTP DELETE request to send to the server at the specified host and port.default HttpRequest<Buffer> WebClient.delete(UriTemplate requestURI) Create an HTTP DELETE request to send to the server at the default host and port.default HttpRequest<Buffer> Create an HTTP DELETE request to send to the server at the default host and port.default HttpRequest<Buffer> WebClient.delete(String host, UriTemplate requestURI) Create an HTTP DELETE request to send to the server at the specified host and default port.default HttpRequest<Buffer> Create an HTTP DELETE request to send to the server at the specified host and default port.default HttpRequest<Buffer> WebClient.deleteAbs(UriTemplate absoluteURI) Create an HTTP DELETE request to send to the server using an absolute URI, specifying a response handler to receive the responsedefault HttpRequest<Buffer> Create an HTTP DELETE request to send to the server using an absolute URI, specifying a response handler to receive the responsedefault HttpRequest<Buffer> WebClient.get(int port, String host, UriTemplate requestURI) Create an HTTP GET request to send to the server at the specified host and port.default HttpRequest<Buffer> Create an HTTP GET request to send to the server at the specified host and port.default HttpRequest<Buffer> WebClient.get(UriTemplate requestURI) Create an HTTP GET request to send to the server at the default host and port.default HttpRequest<Buffer> Create an HTTP GET request to send to the server at the default host and port.default HttpRequest<Buffer> WebClient.get(String host, UriTemplate requestURI) Create an HTTP GET request to send to the server at the specified host and default port.default HttpRequest<Buffer> Create an HTTP GET request to send to the server at the specified host and default port.default HttpRequest<Buffer> WebClient.getAbs(UriTemplate absoluteURI) Create an HTTP GET request to send to the server using an absolute URI, specifying a response handler to receive the responsedefault HttpRequest<Buffer> Create an HTTP GET request to send to the server using an absolute URI, specifying a response handler to receive the responsedefault HttpRequest<Buffer> WebClient.head(int port, String host, UriTemplate requestURI) Create an HTTP HEAD request to send to the server at the specified host and port.default HttpRequest<Buffer> Create an HTTP HEAD request to send to the server at the specified host and port.default HttpRequest<Buffer> WebClient.head(UriTemplate requestURI) Create an HTTP HEAD request to send to the server at the default host and port.default HttpRequest<Buffer> Create an HTTP HEAD request to send to the server at the default host and port.default HttpRequest<Buffer> WebClient.head(String host, UriTemplate requestURI) Create an HTTP HEAD request to send to the server at the specified host and default port.default HttpRequest<Buffer> Create an HTTP HEAD request to send to the server at the specified host and default port.default HttpRequest<Buffer> WebClient.headAbs(UriTemplate absoluteURI) Create an HTTP HEAD request to send to the server using an absolute URI, specifying a response handler to receive the responsedefault HttpRequest<Buffer> Create an HTTP HEAD request to send to the server using an absolute URI, specifying a response handler to receive the responsedefault HttpRequest<Buffer> WebClient.patch(int port, String host, UriTemplate requestURI) Create an HTTP PATCH request to send to the server at the specified host and port.default HttpRequest<Buffer> Create an HTTP PATCH request to send to the server at the specified host and port.default HttpRequest<Buffer> WebClient.patch(UriTemplate requestURI) Create an HTTP PATCH request to send to the server at the default host and port.default HttpRequest<Buffer> Create an HTTP PATCH request to send to the server at the default host and port.default HttpRequest<Buffer> WebClient.patch(String host, UriTemplate requestURI) Create an HTTP PATCH request to send to the server at the specified host and default port.default HttpRequest<Buffer> Create an HTTP PATCH request to send to the server at the specified host and default port.default HttpRequest<Buffer> WebClient.patchAbs(UriTemplate absoluteURI) Create an HTTP PATCH request to send to the server using an absolute URI, specifying a response handler to receive the responsedefault HttpRequest<Buffer> Create an HTTP PATCH request to send to the server using an absolute URI, specifying a response handler to receive the responsedefault HttpRequest<Buffer> WebClient.post(int port, String host, UriTemplate requestURI) Create an HTTP POST request to send to the server at the specified host and port.default HttpRequest<Buffer> Create an HTTP POST request to send to the server at the specified host and port.default HttpRequest<Buffer> WebClient.post(UriTemplate requestURI) Create an HTTP POST request to send to the server at the default host and port.default HttpRequest<Buffer> Create an HTTP POST request to send to the server at the default host and port.default HttpRequest<Buffer> WebClient.post(String host, UriTemplate requestURI) Create an HTTP POST request to send to the server at the specified host and default port.default HttpRequest<Buffer> Create an HTTP POST request to send to the server at the specified host and default port.default HttpRequest<Buffer> WebClient.postAbs(UriTemplate absoluteURI) Create an HTTP POST request to send to the server using an absolute URI, specifying a response handler to receive the responsedefault HttpRequest<Buffer> Create an HTTP POST request to send to the server using an absolute URI, specifying a response handler to receive the responsedefault HttpRequest<Buffer> WebClient.put(int port, String host, UriTemplate requestURI) Create an HTTP PUT request to send to the server at the specified host and port.default HttpRequest<Buffer> Create an HTTP PUT request to send to the server at the specified host and port.default HttpRequest<Buffer> WebClient.put(UriTemplate requestURI) Create an HTTP PUT request to send to the server at the default host and port.default HttpRequest<Buffer> Create an HTTP PUT request to send to the server at the default host and port.default HttpRequest<Buffer> WebClient.put(String host, UriTemplate requestURI) Create an HTTP PUT request to send to the server at the specified host and default port.default HttpRequest<Buffer> Create an HTTP PUT request to send to the server at the specified host and default port.default HttpRequest<Buffer> WebClient.putAbs(UriTemplate absoluteURI) Create an HTTP PUT request to send to the server using an absolute URI, specifying a response handler to receive the responsedefault HttpRequest<Buffer> Create an HTTP PUT request to send to the server using an absolute URI, specifying a response handler to receive the responsedefault HttpRequest<Buffer> WebClient.request(HttpMethod method, int port, String host, UriTemplate requestURI) Create an HTTP request to send to the server at the specified host and port.default HttpRequest<Buffer> WebClient.request(HttpMethod method, int port, String host, String requestURI) Create an HTTP request to send to the server at the specified host and port.default HttpRequest<Buffer> WebClient.request(HttpMethod method, RequestOptions options) Deprecated.instead useWebClient.request(RequestOptions)WebClient.request(HttpMethod method, SocketAddress serverAddress, int port, String host, UriTemplate requestURI) LikeWebClient.request(HttpMethod, int, String, UriTemplate)using theserverAddressparameter to connect to the server instead of theportandhostparameters.WebClient.request(HttpMethod method, SocketAddress serverAddress, int port, String host, String requestURI) LikeWebClient.request(HttpMethod, int, String, String)using theserverAddressparameter to connect to the server instead of theportandhostparameters.WebClient.request(HttpMethod method, SocketAddress serverAddress, RequestOptions options) Deprecated.instead useWebClient.request(RequestOptions)WebClient.request(HttpMethod method, SocketAddress serverAddress, UriTemplate requestURI) LikeWebClient.request(HttpMethod, UriTemplate)using theserverAddressparameter to connect to the server instead of the default port and default host.WebClient.request(HttpMethod method, SocketAddress serverAddress, String requestURI) LikeWebClient.request(HttpMethod, String)using theserverAddressparameter to connect to the server instead of the default port and default host.WebClient.request(HttpMethod method, SocketAddress serverAddress, String host, UriTemplate requestURI) LikeWebClient.request(HttpMethod, String, UriTemplate)using theserverAddressparameter to connect to the server instead of the default port andhostparameter.WebClient.request(HttpMethod method, SocketAddress serverAddress, String host, String requestURI) LikeWebClient.request(HttpMethod, String, String)using theserverAddressparameter to connect to the server instead of the default port andhostparameter.default HttpRequest<Buffer> WebClient.request(HttpMethod method, UriTemplate requestURI) Create an HTTP request to send to the server at the default host and port.default HttpRequest<Buffer> WebClient.request(HttpMethod method, String requestURI) Create an HTTP request to send to the server at the default host and port.default HttpRequest<Buffer> WebClient.request(HttpMethod method, String host, UriTemplate requestURI) Create an HTTP request to send to the server at the specified host and default port.default HttpRequest<Buffer> WebClient.request(HttpMethod method, String host, String requestURI) Create an HTTP request to send to the server at the specified host and default port.WebClient.request(RequestOptions options) Create an HTTP request to send to the server from the specified requestoptions.WebClient.requestAbs(HttpMethod method, SocketAddress serverAddress, UriTemplate absoluteURI) LikeWebClient.requestAbs(HttpMethod, UriTemplate)using theserverAddressparameter to connect to the server instead of theabsoluteURIparameter.WebClient.requestAbs(HttpMethod method, SocketAddress serverAddress, String absoluteURI) LikeWebClient.requestAbs(HttpMethod, String)using theserverAddressparameter to connect to the server instead of theabsoluteURIparameter.default HttpRequest<Buffer> WebClient.requestAbs(HttpMethod method, UriTemplate absoluteURI) Create an HTTP request to send to the server using an absolute URIdefault HttpRequest<Buffer> WebClient.requestAbs(HttpMethod method, String absoluteURI) Create an HTTP request to send to the server using an absolute URIMethods in io.vertx.ext.web.client with parameters of type BufferModifier and TypeMethodDescriptionCachingWebClientOptions.addCrlValue(Buffer crlValue) WebClientOptions.addCrlValue(Buffer crlValue) default HttpRequest<T> HttpRequest.basicAuthentication(Buffer id, Buffer password) Configure the request to perform basic access authentication.HttpRequest.sendBuffer(Buffer body) LikeHttpRequest.send()but with an HTTP requestbodybuffer.Method parameters in io.vertx.ext.web.client with type arguments of type BufferModifier and TypeMethodDescriptionHttpRequest.sendStream(ReadStream<Buffer> body) LikeHttpRequest.send()but with an HTTP requestbodystream. -
Uses of Buffer in io.vertx.ext.web.codec
Methods in io.vertx.ext.web.codec that return types with arguments of type BufferMethod parameters in io.vertx.ext.web.codec with type arguments of type BufferModifier and TypeMethodDescriptionBodyCodec.pipe(WriteStream<Buffer> stream) A body codec that pipes the body to a write stream.BodyCodec.pipe(WriteStream<Buffer> stream, boolean close) A body codec that pipes the body to a write stream.static <T> BodyCodec<T> Create a codec that buffers the entire body and then apply thedecodefunction and returns the result. -
Uses of Buffer in io.vertx.ext.web.codec.spi
Subinterfaces with type arguments of type Buffer in io.vertx.ext.web.codec.spiModifier and TypeInterfaceDescriptioninterfaceBodyStream<T>The body stream decodes aWriteStream<Buffer>into the aTinstance. -
Uses of Buffer in io.vertx.ext.web.common.template
Methods in io.vertx.ext.web.common.template that return types with arguments of type Buffer -
Uses of Buffer in io.vertx.ext.web.handler.sockjs
Subinterfaces with type arguments of type Buffer in io.vertx.ext.web.handler.sockjsModifier and TypeInterfaceDescriptioninterfaceYou interact with SockJS clients through instances of SockJS socket.interfaceYou interact with SockJS clients through instances of SockJS socket.Methods in io.vertx.ext.web.handler.sockjs with parameters of type BufferMethod parameters in io.vertx.ext.web.handler.sockjs with type arguments of type Buffer -
Uses of Buffer in io.vertx.ext.web.multipart
Methods in io.vertx.ext.web.multipart that return BufferMethods in io.vertx.ext.web.multipart with parameters of type BufferModifier and TypeMethodDescriptionMultipartForm.binaryFileUpload(String name, String filename, Buffer content, String mediaType) Add a binary file upload form data part.MultipartForm.textFileUpload(String name, String filename, Buffer content, String mediaType) Add a text file upload form data part. -
Uses of Buffer in io.vertx.ext.web.sstore
Methods in io.vertx.ext.web.sstore with parameters of type BufferModifier and TypeMethodDescriptionprotected intAbstractSession.readDataFromBuffer(int pos, Buffer buffer) protected voidAbstractSession.readDataFromBuffer(Buffer buffer) protected voidAbstractSession.writeDataToBuffer(Buffer buffer) -
Uses of Buffer in io.vertx.ext.web.sstore.cookie
Methods in io.vertx.ext.web.sstore.cookie with parameters of type BufferModifier and TypeMethodDescriptionstatic CookieSessionStoreDeprecated.useCookieSessionStore.create(Vertx, String)Creates a CookieSessionStore. -
Uses of Buffer in io.vertx.ext.web.validation
Methods in io.vertx.ext.web.validation that return Buffer -
Uses of Buffer in io.vertx.grpc.client
Methods in io.vertx.grpc.client that return types with arguments of type BufferModifier and TypeMethodDescriptionGrpcClient.request()LikeGrpcClient.request(Address)with the default remote server.GrpcClient.request()LikeGrpcClient.request(Address)with the default remote server.Connect to the remoteserverand create a request for any hosted gRPC service.Connect to the remoteserverand create a request for any hosted gRPC service. -
Uses of Buffer in io.vertx.grpc.common
Fields in io.vertx.grpc.common with type parameters of type BufferModifier and TypeFieldDescriptionstatic final GrpcMessageDecoder<Buffer> GrpcMessageDecoder.IDENTITYstatic final GrpcMessageEncoder<Buffer> GrpcMessageEncoder.IDENTITYMethods in io.vertx.grpc.common that return BufferMethods in io.vertx.grpc.common with parameters of type BufferModifier and TypeMethodDescriptionstatic GrpcMessagestatic GrpcMessageGrpcMessage.message(String encoding, WireFormat format, Buffer payload) -
Uses of Buffer in io.vertx.grpc.server
Method parameters in io.vertx.grpc.server with type arguments of type BufferModifier and TypeMethodDescriptionGrpcServer.callHandler(Handler<GrpcServerRequest<Buffer, Buffer>> handler) Set a call handler that handles any call made to the server.GrpcServer.callHandler(Handler<GrpcServerRequest<Buffer, Buffer>> handler) Set a call handler that handles any call made to the server. -
Uses of Buffer in io.vertx.grpcio.server
Method parameters in io.vertx.grpcio.server with type arguments of type BufferModifier and TypeMethodDescriptionGrpcIoServer.callHandler(Handler<GrpcServerRequest<Buffer, Buffer>> handler) GrpcIoServer.callHandler(Handler<GrpcServerRequest<Buffer, Buffer>> handler) -
Uses of Buffer in io.vertx.httpproxy
Methods in io.vertx.httpproxy that return types with arguments of type BufferMethods in io.vertx.httpproxy with parameters of type BufferMethod parameters in io.vertx.httpproxy with type arguments of type BufferModifier and TypeMethodDescriptionstatic BodyBody.body(ReadStream<Buffer> stream) Create a newBodyinstance.static BodyBody.body(ReadStream<Buffer> stream, long len) Create a newBodyinstance.static BodyBody.body(ReadStream<Buffer> stream, long len, MediaType mediatype) static BodyBody.body(ReadStream<Buffer> stream, long len, String mediatype) static BodyTransformerBodyTransformers.transform(MediaType consumes, MediaType produces, long maxBufferedBytes, Function<Buffer, Buffer> transformer) Create a body transformer that transformsconsumesmedia type to theproducesmedia type, by applying thetransformerfunction.static BodyTransformerBodyTransformers.transform(MediaType consumes, MediaType produces, long maxBufferedBytes, Function<Buffer, Buffer> transformer) Create a body transformer that transformsconsumesmedia type to theproducesmedia type, by applying thetransformerfunction.static BodyTransformerBodyTransformers.transform(MediaType consumes, MediaType produces, Function<Buffer, Buffer> transformer) LikeBodyTransformers.transform(MediaType, MediaType, long, Function)withBodyTransformers.DEFAULT_MAX_BUFFERED_SIZEmaximum buffered bytes.static BodyTransformerBodyTransformers.transform(MediaType consumes, MediaType produces, Function<Buffer, Buffer> transformer) LikeBodyTransformers.transform(MediaType, MediaType, long, Function)withBodyTransformers.DEFAULT_MAX_BUFFERED_SIZEmaximum buffered bytes. -
Uses of Buffer in io.vertx.httpproxy.spi.cache
Methods in io.vertx.httpproxy.spi.cache that return BufferMethods in io.vertx.httpproxy.spi.cache with parameters of type BufferModifier and TypeMethodDescriptionintResource.readFromBuffer(int pos, Buffer buffer) voidResource.setContent(Buffer content) voidResource.writeToBuffer(Buffer buffer) -
Uses of Buffer in io.vertx.jdbcclient.spi
Methods in io.vertx.jdbcclient.spi that return BufferModifier and TypeMethodDescriptionprotected BufferJDBCDecoderImpl.streamToBuffer(InputStream is, Class<?> dataTypeClass) -
Uses of Buffer in io.vertx.kafka.client.producer
Methods in io.vertx.kafka.client.producer that return BufferMethods in io.vertx.kafka.client.producer with parameters of type BufferModifier and TypeMethodDescriptionLikeKafkaProducerRecord.addHeader(KafkaHeader)but with a key/value pairstatic KafkaHeader -
Uses of Buffer in io.vertx.kafka.client.serialization
Subclasses with type arguments of type Buffer in io.vertx.kafka.client.serializationClasses in io.vertx.kafka.client.serialization that implement interfaces with type arguments of type BufferModifier and TypeClassDescriptionclassKafka deserializer for raw bytes in a bufferclassKafka serializer for raw bytes in a bufferMethods in io.vertx.kafka.client.serialization that return BufferMethods in io.vertx.kafka.client.serialization that return types with arguments of type BufferModifier and TypeMethodDescriptionstatic org.apache.kafka.common.serialization.Serde<Buffer> VertxSerdes.Buffer()Methods in io.vertx.kafka.client.serialization with parameters of type Buffer -
Uses of Buffer in io.vertx.mqtt
Methods in io.vertx.mqtt that return BufferModifier and TypeMethodDescriptionMqttWill.getWillMessage()MqttClientOptions.getWillMessageBytes()Methods in io.vertx.mqtt with parameters of type BufferModifier and TypeMethodDescriptionMqttClientOptions.addCrlValue(Buffer crlValue) MqttServerOptions.addCrlValue(Buffer crlValue) MqttClient.publish(int id, String topic, Buffer payload, MqttQoS qosLevel, boolean isDup, boolean isRetain) Sends the PUBLISH message to the remote MQTT serverSends the PUBLISH message to the remote MQTT serverMqttEndpoint.publish(String topic, Buffer payload, MqttQoS qosLevel, boolean isDup, boolean isRetain) Sends the PUBLISH message to the remote MQTT clientMqttEndpoint.publish(String topic, Buffer payload, MqttQoS qosLevel, boolean isDup, boolean isRetain, int messageId) Sends the PUBLISH message to the remote MQTT server explicitly specifying the messageIdMqttEndpoint.publish(String topic, Buffer payload, MqttQoS qosLevel, boolean isDup, boolean isRetain, int messageId, MqttProperties properties) Sends the PUBLISH message to the remote MQTT server explicitly specifying the messageIdMqttClientOptions.setWillMessageBytes(Buffer willMessage) Set the content of the will messageConstructors in io.vertx.mqtt with parameters of type BufferModifierConstructorDescriptionMqttWill(boolean isWillFlag, String willTopic, Buffer willMessage, int willQos, boolean isWillRetain, MqttProperties willProperties) Constructor -
Uses of Buffer in io.vertx.mqtt.messages
Methods in io.vertx.mqtt.messages that return BufferModifier and TypeMethodDescriptionMqttAuthenticationExchangeMessage.authenticationData()MqttPublishMessage.payload()Methods in io.vertx.mqtt.messages with parameters of type BufferModifier and TypeMethodDescriptionstatic MqttPublishMessageMqttPublishMessage.create(int messageId, MqttQoS qosLevel, boolean isDup, boolean isRetain, String topicName, Buffer payload) Create a concrete instance of a Vert.x publish messagestatic MqttPublishMessageMqttPublishMessage.create(int messageId, MqttQoS qosLevel, boolean isDup, boolean isRetain, String topicName, Buffer payload, MqttProperties properties) Create a concrete instance of a Vert.x publish message -
Uses of Buffer in io.vertx.mysqlclient
Methods in io.vertx.mysqlclient that return BufferModifier and TypeMethodDescriptionMySQLAuthOptions.getServerRsaPublicKeyValue()Get the value of the server RSA public key.MySQLConnectOptions.getServerRsaPublicKeyValue()Get the value of the server RSA public key.Methods in io.vertx.mysqlclient with parameters of type BufferModifier and TypeMethodDescriptionMySQLAuthOptions.setServerRsaPublicKeyValue(Buffer serverRsaPublicKeyValue) Set the value of server RSA public key which is mostly used for encrypting password under insecure connections when performing authentication.MySQLConnectOptions.setServerRsaPublicKeyValue(Buffer serverRsaPublicKeyValue) Set the value of server RSA public key which is mostly used for encrypting password under insecure connections when performing authentication. -
Uses of Buffer in io.vertx.openapi.mediatype
Methods in io.vertx.openapi.mediatype with parameters of type BufferModifier and TypeMethodDescriptionContentAnalyserFactory.create(String contentType, Buffer content, ValidationContext context) Creates a new ContentAnalyser for the provided request.MediaTypeRegistration.createContentAnalyser(String contentType, Buffer content, ValidationContext context) Creates a newContentAnalyser. -
Uses of Buffer in io.vertx.openapi.validation
Methods in io.vertx.openapi.validation that return BufferMethods in io.vertx.openapi.validation with parameters of type BufferModifier and TypeMethodDescriptionstatic ValidatableResponseCreates a newValidatableResponseobject based on the passed parameters.static ValidatableResponseValidatableResponse.create(int statusCode, Map<String, String> headers, Buffer body, String contentType) Creates a newValidatableResponseobject based on the passed parameters.default BufferMethod parameters in io.vertx.openapi.validation with type arguments of type BufferModifier and TypeMethodDescriptionstatic Future<ValidatableRequest> RequestUtils.extract(HttpServerRequest request, Operation operation, Supplier<Future<Buffer>> bodySupplier) LikeRequestUtils.extract(HttpServerRequest, Operation), but offers to pass a supplier fpr the body. -
Uses of Buffer in io.vertx.oracleclient.data
Methods in io.vertx.oracleclient.data with parameters of type Buffer -
Uses of Buffer in io.vertx.rabbitmq
Methods in io.vertx.rabbitmq that return BufferMethods in io.vertx.rabbitmq with parameters of type BufferModifier and TypeMethodDescriptionRabbitMQClient.basicPublish(String exchange, String routingKey, com.rabbitmq.client.BasicProperties properties, Buffer body) Publish a message.RabbitMQClient.basicPublish(String exchange, String routingKey, Buffer body) Publish a message.RabbitMQClient.basicPublishWithDeliveryTag(String exchange, String routingKey, com.rabbitmq.client.BasicProperties properties, Buffer body, Handler<Long> deliveryTagHandler) Publish a message.RabbitMQPublisher.publish(String exchange, String routingKey, com.rabbitmq.client.BasicProperties properties, Buffer body) Publish a message.RabbitMQPublisher.publishConfirm(String exchange, String routingKey, com.rabbitmq.client.BasicProperties properties, Buffer body) Publish a message and complete when publish confirm has returned. -
Uses of Buffer in io.vertx.reactivex
Methods in io.vertx.reactivex that return types with arguments of type BufferModifier and TypeMethodDescriptionstatic <T> FlowableTransformer<Buffer, T> FlowableHelper.unmarshaller(TypeReference<T> mappedTypeRef) static <T> FlowableTransformer<Buffer, T> FlowableHelper.unmarshaller(TypeReference<T> mappedTypeRef, ObjectCodec mapper) static <T> FlowableTransformer<Buffer, T> FlowableHelper.unmarshaller(Class<T> mappedType) static <T> FlowableTransformer<Buffer, T> FlowableHelper.unmarshaller(Class<T> mappedType, ObjectCodec mapper) static <T> MaybeTransformer<Buffer, T> MaybeHelper.unmarshaller(TypeReference<T> mappedTypeRef) static <T> MaybeTransformer<Buffer, T> MaybeHelper.unmarshaller(TypeReference<T> mappedTypeRef, ObjectCodec mapper) static <T> MaybeTransformer<Buffer, T> MaybeHelper.unmarshaller(Class<T> mappedType) static <T> MaybeTransformer<Buffer, T> MaybeHelper.unmarshaller(Class<T> mappedType, ObjectCodec mapper) static <T> ObservableTransformer<Buffer, T> ObservableHelper.unmarshaller(TypeReference<T> mappedTypeRef) static <T> ObservableTransformer<Buffer, T> ObservableHelper.unmarshaller(TypeReference<T> mappedTypeRef, ObjectCodec mapper) static <T> ObservableTransformer<Buffer, T> ObservableHelper.unmarshaller(Class<T> mappedType) static <T> ObservableTransformer<Buffer, T> ObservableHelper.unmarshaller(Class<T> mappedType, ObjectCodec mapper) static <T> SingleTransformer<Buffer, T> SingleHelper.unmarshaller(TypeReference<T> mappedTypeRef) static <T> SingleTransformer<Buffer, T> SingleHelper.unmarshaller(TypeReference<T> mappedTypeRef, ObjectCodec mapper) static <T> SingleTransformer<Buffer, T> SingleHelper.unmarshaller(Class<T> mappedType) static <T> SingleTransformer<Buffer, T> SingleHelper.unmarshaller(Class<T> mappedType, ObjectCodec mapper) -
Uses of Buffer in io.vertx.reactivex.amqp
Methods in io.vertx.reactivex.amqp that return BufferMethods in io.vertx.reactivex.amqp with parameters of type Buffer -
Uses of Buffer in io.vertx.reactivex.core
Methods in io.vertx.reactivex.core that return types with arguments of type BufferModifier and TypeMethodDescriptionstatic <T> FlowableTransformer<Buffer, T> FlowableHelper.unmarshaller(TypeReference<T> mappedTypeRef) static <T> FlowableTransformer<Buffer, T> FlowableHelper.unmarshaller(TypeReference<T> mappedTypeRef, ObjectCodec mapper) static <T> FlowableTransformer<Buffer, T> FlowableHelper.unmarshaller(Class<T> mappedType) static <T> FlowableTransformer<Buffer, T> FlowableHelper.unmarshaller(Class<T> mappedType, ObjectCodec mapper) static <T> MaybeTransformer<Buffer, T> MaybeHelper.unmarshaller(TypeReference<T> mappedTypeRef) static <T> MaybeTransformer<Buffer, T> MaybeHelper.unmarshaller(TypeReference<T> mappedTypeRef, ObjectCodec mapper) static <T> MaybeTransformer<Buffer, T> MaybeHelper.unmarshaller(Class<T> mappedType) static <T> MaybeTransformer<Buffer, T> MaybeHelper.unmarshaller(Class<T> mappedType, ObjectCodec mapper) static <T> ObservableTransformer<Buffer, T> ObservableHelper.unmarshaller(TypeReference<T> mappedTypeRef) static <T> ObservableTransformer<Buffer, T> ObservableHelper.unmarshaller(TypeReference<T> mappedTypeRef, ObjectCodec mapper) static <T> ObservableTransformer<Buffer, T> ObservableHelper.unmarshaller(Class<T> mappedType) static <T> ObservableTransformer<Buffer, T> ObservableHelper.unmarshaller(Class<T> mappedType, ObjectCodec mapper) static <T> SingleTransformer<Buffer, T> SingleHelper.unmarshaller(TypeReference<T> mappedTypeRef) static <T> SingleTransformer<Buffer, T> SingleHelper.unmarshaller(TypeReference<T> mappedTypeRef, ObjectCodec mapper) static <T> SingleTransformer<Buffer, T> SingleHelper.unmarshaller(Class<T> mappedType) static <T> SingleTransformer<Buffer, T> SingleHelper.unmarshaller(Class<T> mappedType, ObjectCodec mapper) -
Uses of Buffer in io.vertx.reactivex.core.datagram
Methods in io.vertx.reactivex.core.datagram that return types with arguments of type BufferMethods in io.vertx.reactivex.core.datagram with parameters of type BufferModifier and TypeMethodDescriptionWrite the givenBufferto theSocketAddress.Write the givenBufferto theSocketAddress. -
Uses of Buffer in io.vertx.reactivex.core.file
Classes in io.vertx.reactivex.core.file that implement interfaces with type arguments of type BufferModifier and TypeClassDescriptionclassRepresents a file on the file-system which can be read from, or written to asynchronously.classRepresents a file on the file-system which can be read from, or written to asynchronously.Methods in io.vertx.reactivex.core.file that return BufferModifier and TypeMethodDescriptionFileSystem.readFileBlocking(String path) Blocking version ofFileSystem.readFile(String)Methods in io.vertx.reactivex.core.file that return types with arguments of type BufferModifier and TypeMethodDescriptionAsyncFile.pipe()Pause this stream and return a to transfer the elements of this stream to a destination .Readslengthbytes of data from the file at positionpositionin the file, asynchronously.Reads the entire file as represented by the pathpathas a , asynchronously.Readslengthbytes of data from the file at positionpositionin the file, asynchronously.FileSystem.rxReadFile(String path) Reads the entire file as represented by the pathpathas a , asynchronously.AsyncFile.toFlowable()AsyncFile.toObservable()AsyncFile.toObserver()AsyncFile.toSubscriber()Methods in io.vertx.reactivex.core.file with parameters of type BufferModifier and TypeMethodDescriptionSame asWriteStream.end()but writes some data to the stream before ending.Readslengthbytes of data from the file at positionpositionin the file, asynchronously.Same asWriteStream.end()but writes some data to the stream before ending.Readslengthbytes of data from the file at positionpositionin the file, asynchronously.Write some data to the stream.Write aBufferto the file at positionpositionin the file, asynchronously.FileSystem.rxWriteFile(String path, Buffer data) Creates the file, and writes the specifiedBuffer datato the file represented by the pathpath, asynchronously.Write some data to the stream.Write aBufferto the file at positionpositionin the file, asynchronously.Creates the file, and writes the specifiedBuffer datato the file represented by the pathpath, asynchronously.FileSystem.writeFileBlocking(String path, Buffer data) Blocking version ofFileSystem.writeFile(String, Buffer)Method parameters in io.vertx.reactivex.core.file with type arguments of type BufferModifier and TypeMethodDescriptionAsyncFile.pipeTo(WriteStream<Buffer> dst) Pipe thisReadStreamto theWriteStream.AsyncFile.rxPipeTo(WriteStream<Buffer> dst) Pipe thisReadStreamto theWriteStream. -
Uses of Buffer in io.vertx.reactivex.core.http
Subinterfaces with type arguments of type Buffer in io.vertx.reactivex.core.httpModifier and TypeInterfaceDescriptioninterfaceBase WebSocket implementation.interfaceBase WebSocket implementation.Classes in io.vertx.reactivex.core.http that implement interfaces with type arguments of type BufferModifier and TypeClassDescriptionclassRepresents a client-side HTTP request.classRepresents a client-side HTTP response.classRepresents an file upload from an HTML FORM.classRepresents a server-side HTTP request.classRepresents a server-side HTTP response.Methods in io.vertx.reactivex.core.http that return types with arguments of type BufferModifier and TypeMethodDescriptionHttpClientResponse.body()Convenience method for receiving the entire request body in one piece.HttpServerRequest.body()Convenience method for receiving the entire request body in one piece.Send a frame to the remote endpoint.ClientWebSocket.pipe()Pause this stream and return a to transfer the elements of this stream to a destination .HttpClientResponse.pipe()Pause this stream and return a to transfer the elements of this stream to a destination .HttpServerFileUpload.pipe()Pause this stream and return a to transfer the elements of this stream to a destination .HttpServerRequest.pipe()Pause this stream and return a to transfer the elements of this stream to a destination .ServerWebSocket.pipe()Pause this stream and return a to transfer the elements of this stream to a destination .WebSocket.pipe()Pause this stream and return a to transfer the elements of this stream to a destination .WebSocketBase.pipe()Pause this stream and return a to transfer the elements of this stream to a destination .HttpClientResponse.rxBody()Convenience method for receiving the entire request body in one piece.HttpServerRequest.rxBody()Convenience method for receiving the entire request body in one piece.Send a frame to the remote endpoint.ClientWebSocket.toFlowable()HttpClientResponse.toFlowable()HttpServerFileUpload.toFlowable()HttpServerRequest.toFlowable()ServerWebSocket.toFlowable()WebSocket.toFlowable()ClientWebSocket.toObservable()HttpClientResponse.toObservable()HttpServerFileUpload.toObservable()HttpServerRequest.toObservable()ServerWebSocket.toObservable()WebSocket.toObservable()ClientWebSocket.toObserver()HttpClientRequest.toObserver()HttpServerResponse.toObserver()ServerWebSocket.toObserver()WebSocket.toObserver()ClientWebSocket.toSubscriber()HttpClientRequest.toSubscriber()HttpServerResponse.toSubscriber()ServerWebSocket.toSubscriber()WebSocket.toSubscriber()Methods in io.vertx.reactivex.core.http with parameters of type BufferModifier and TypeMethodDescriptionSame asWebSocketBase.end(Buffer)but writes some data to the stream before ending.Same asHttpClientRequest.end(String)but writes some data to the request body before ending.Same asHttpServerResponse.end(String)but writes some data to the response body before ending.Same asWebSocketBase.end(Buffer)but writes some data to the stream before ending.Same asWebSocketBase.end(Buffer)but writes some data to the stream before ending.Same asWebSocketBase.end(Buffer)but writes some data to the stream before ending.Deprecated.Send a frame to the remote endpoint.Same asWebSocketBase.end(Buffer)but writes some data to the stream before ending.Same asHttpClientRequest.end(String)but writes some data to the request body before ending.Same asHttpServerResponse.end(String)but writes some data to the response body before ending.Same asWebSocketBase.end(Buffer)but writes some data to the stream before ending.Same asWebSocketBase.end(Buffer)but writes some data to the stream before ending.Same asWebSocketBase.end(Buffer)but writes some data to the stream before ending.Send a frame to the remote endpoint.Send the request with a bufferbody.Send the request with a bufferbody.Write some data to the stream.Write some data to the stream.Write some data to the stream.Write some data to the stream.Write some data to the stream.Write some data to the stream.ClientWebSocket.rxWriteBinaryMessage(Buffer data) Writes a (potentially large) piece of binary data to the connection.ServerWebSocket.rxWriteBinaryMessage(Buffer data) Writes a (potentially large) piece of binary data to the connection.WebSocket.rxWriteBinaryMessage(Buffer data) Writes a (potentially large) piece of binary data to the connection.WebSocketBase.rxWriteBinaryMessage(Buffer data) Writes a (potentially large) piece of binary data to the connection.HttpClientRequest.rxWriteCustomFrame(int type, int flags, Buffer payload) Write an HTTP/2 frame to the request, allowing to extend the HTTP/2 protocol.HttpServerResponse.rxWriteCustomFrame(int type, int flags, Buffer payload) Write an HTTP/2 frame to the response, allowing to extend the HTTP/2 protocol.ClientWebSocket.rxWriteFinalBinaryFrame(Buffer data) Write a final WebSocket binary frame to the connectionServerWebSocket.rxWriteFinalBinaryFrame(Buffer data) Write a final WebSocket binary frame to the connectionWebSocket.rxWriteFinalBinaryFrame(Buffer data) Write a final WebSocket binary frame to the connectionWebSocketBase.rxWriteFinalBinaryFrame(Buffer data) Write a final WebSocket binary frame to the connectionClientWebSocket.rxWritePing(Buffer data) Writes a ping frame to the connection.ServerWebSocket.rxWritePing(Buffer data) Writes a ping frame to the connection.WebSocket.rxWritePing(Buffer data) Writes a ping frame to the connection.WebSocketBase.rxWritePing(Buffer data) Writes a ping frame to the connection.ClientWebSocket.rxWritePong(Buffer data) Writes a pong frame to the connection.ServerWebSocket.rxWritePong(Buffer data) Writes a pong frame to the connection.WebSocket.rxWritePong(Buffer data) Writes a pong frame to the connection.WebSocketBase.rxWritePong(Buffer data) Writes a pong frame to the connection.Send the request with a bufferbody.Send the request with a bufferbody.Write some data to the stream.Write some data to the stream.Write some data to the stream.Write some data to the stream.Write some data to the stream.Write some data to the stream.ClientWebSocket.writeBinaryMessage(Buffer data) Writes a (potentially large) piece of binary data to the connection.ServerWebSocket.writeBinaryMessage(Buffer data) Writes a (potentially large) piece of binary data to the connection.WebSocket.writeBinaryMessage(Buffer data) Writes a (potentially large) piece of binary data to the connection.WebSocketBase.writeBinaryMessage(Buffer data) Writes a (potentially large) piece of binary data to the connection.HttpClientRequest.writeCustomFrame(int type, int flags, Buffer payload) Write an HTTP/2 frame to the request, allowing to extend the HTTP/2 protocol.HttpServerResponse.writeCustomFrame(int type, int flags, Buffer payload) Write an HTTP/2 frame to the response, allowing to extend the HTTP/2 protocol.ClientWebSocket.writeFinalBinaryFrame(Buffer data) Write a final WebSocket binary frame to the connectionServerWebSocket.writeFinalBinaryFrame(Buffer data) Write a final WebSocket binary frame to the connectionWebSocket.writeFinalBinaryFrame(Buffer data) Write a final WebSocket binary frame to the connectionWebSocketBase.writeFinalBinaryFrame(Buffer data) Write a final WebSocket binary frame to the connectionWrites a ping frame to the connection.Writes a ping frame to the connection.Writes a ping frame to the connection.Writes a ping frame to the connection.Writes a pong frame to the connection.Writes a pong frame to the connection.Writes a pong frame to the connection.Writes a pong frame to the connection.Method parameters in io.vertx.reactivex.core.http with type arguments of type BufferModifier and TypeMethodDescriptionClientWebSocket.binaryMessageHandler(Handler<Buffer> handler) WebSocket.binaryMessageHandler(Handler<Buffer> handler) WebSocketBase.binaryMessageHandler(Handler<Buffer> handler) Set a binary message handler on the connection.HttpClientResponse.bodyHandler(Handler<Buffer> bodyHandler) Convenience method for receiving the entire request body in one piece.HttpServerRequest.bodyHandler(Handler<Buffer> bodyHandler) Convenience method for receiving the entire request body in one piece.HttpConnection.pingHandler(Handler<Buffer> handler) Set an handler notified when a frame is received from the remote endpoint.ClientWebSocket.pipeTo(WriteStream<Buffer> dst) Pipe thisReadStreamto theWriteStream.HttpClientResponse.pipeTo(WriteStream<Buffer> dst) Pipe thisReadStreamto theWriteStream.HttpServerFileUpload.pipeTo(WriteStream<Buffer> dst) Pipe thisReadStreamto theWriteStream.HttpServerRequest.pipeTo(WriteStream<Buffer> dst) Pipe thisReadStreamto theWriteStream.ServerWebSocket.pipeTo(WriteStream<Buffer> dst) Pipe thisReadStreamto theWriteStream.WebSocket.pipeTo(WriteStream<Buffer> dst) Pipe thisReadStreamto theWriteStream.WebSocketBase.pipeTo(WriteStream<Buffer> dst) Pipe thisReadStreamto theWriteStream.ClientWebSocket.pongHandler(Handler<Buffer> handler) WebSocket.pongHandler(Handler<Buffer> handler) WebSocketBase.pongHandler(Handler<Buffer> handler) Set a pong frame handler on the connection.ClientWebSocket.rxPipeTo(WriteStream<Buffer> dst) Pipe thisReadStreamto theWriteStream.HttpClientResponse.rxPipeTo(WriteStream<Buffer> dst) Pipe thisReadStreamto theWriteStream.HttpServerFileUpload.rxPipeTo(WriteStream<Buffer> dst) Pipe thisReadStreamto theWriteStream.HttpServerRequest.rxPipeTo(WriteStream<Buffer> dst) Pipe thisReadStreamto theWriteStream.ServerWebSocket.rxPipeTo(WriteStream<Buffer> dst) Pipe thisReadStreamto theWriteStream.WebSocket.rxPipeTo(WriteStream<Buffer> dst) Pipe thisReadStreamto theWriteStream.WebSocketBase.rxPipeTo(WriteStream<Buffer> dst) Pipe thisReadStreamto theWriteStream.Send the request with a streambody.HttpClientRequest.rxSend(ReadStream<Buffer> body) Send the request with a streambody.Send the request with a streambody.HttpServerResponse.rxSend(ReadStream<Buffer> body) Send the request with a streambody.Send the request with a streambody.HttpClientRequest.send(ReadStream<Buffer> body) Send the request with a streambody.Send the request with a streambody.HttpServerResponse.send(ReadStream<Buffer> body) Send the request with a streambody. -
Uses of Buffer in io.vertx.reactivex.core.net
Subinterfaces with type arguments of type Buffer in io.vertx.reactivex.core.netModifier and TypeInterfaceDescriptioninterfaceRepresents a channel interface modelling a duplex flow controlled byte oriented stream.interfaceRepresents a channel interface modelling a duplex flow controlled byte oriented stream.Methods in io.vertx.reactivex.core.net that return types with arguments of type BufferModifier and TypeMethodDescriptionNetSocket.pipe()Pause this stream and return a to transfer the elements of this stream to a destination .QuicStream.pipe()Pause this stream and return a to transfer the elements of this stream to a destination .StreamChannel.pipe()Pause this stream and return a to transfer the elements of this stream to a destination .NetSocket.toFlowable()QuicStream.toFlowable()NetSocket.toObservable()QuicStream.toObservable()NetSocket.toObserver()QuicStream.toObserver()NetSocket.toSubscriber()QuicStream.toSubscriber()Methods in io.vertx.reactivex.core.net with parameters of type BufferModifier and TypeMethodDescriptionSame asNetSocket.end(Buffer)but writes some data to the stream before ending.Same asStreamChannel.end(Buffer)but writes some data to the stream before ending.Same asStreamChannel.end(Buffer)but writes some data to the stream before ending.Same asNetSocket.end(Buffer)but writes some data to the stream before ending.Same asStreamChannel.end(Buffer)but writes some data to the stream before ending.Same asStreamChannel.end(Buffer)but writes some data to the stream before ending.NetSocket.rxUpgradeToSsl(Buffer msg) LikeNetSocket.upgradeToSsl()with the default SSL options and without indicating a server name.NetSocket.rxUpgradeToSsl(SSLOptions sslOptions, Buffer msg) LikeNetSocket.upgradeToSsl()without indicating a server nameNetSocket.rxUpgradeToSsl(SSLOptions sslOptions, String serverName, Buffer upgrade) Upgrade the channel to use SSL/TLS, in other words proceeds to the TLS handshake.NetSocket.rxUpgradeToSsl(String serverName, Buffer msg) LikeNetSocket.upgradeToSsl()with the default SSL options.Write some data to the stream.Write some data to the stream.Write some data to the stream.QuicConnection.rxWriteDatagram(Buffer buffer) Send a datagram.NetSocket.upgradeToSsl(Buffer msg) LikeNetSocket.upgradeToSsl()with the default SSL options and without indicating a server name.NetSocket.upgradeToSsl(SSLOptions sslOptions, Buffer msg) LikeNetSocket.upgradeToSsl()without indicating a server nameNetSocket.upgradeToSsl(SSLOptions sslOptions, String serverName, Buffer upgrade) Upgrade the channel to use SSL/TLS, in other words proceeds to the TLS handshake.NetSocket.upgradeToSsl(String serverName, Buffer msg) LikeNetSocket.upgradeToSsl()with the default SSL options.Write some data to the stream.Write some data to the stream.Write some data to the stream.QuicConnection.writeDatagram(Buffer buffer) Send a datagram.Method parameters in io.vertx.reactivex.core.net with type arguments of type BufferModifier and TypeMethodDescriptionQuicConnection.datagramHandler(Handler<Buffer> handler) Set a handler called with the datagram addressed to this connection.Set the handler signaled with the data events the remote peer has sent.NetSocket.pipeTo(WriteStream<Buffer> dst) Pipe thisReadStreamto theWriteStream.QuicStream.pipeTo(WriteStream<Buffer> dst) Pipe thisReadStreamto theWriteStream.StreamChannel.pipeTo(WriteStream<Buffer> dst) Pipe thisReadStreamto theWriteStream.NetSocket.rxPipeTo(WriteStream<Buffer> dst) Pipe thisReadStreamto theWriteStream.QuicStream.rxPipeTo(WriteStream<Buffer> dst) Pipe thisReadStreamto theWriteStream.StreamChannel.rxPipeTo(WriteStream<Buffer> dst) Pipe thisReadStreamto theWriteStream. -
Uses of Buffer in io.vertx.reactivex.core.parsetools
Classes in io.vertx.reactivex.core.parsetools that implement interfaces with type arguments of type BufferModifier and TypeClassDescriptionclassA parser class which allows to incrementally parse json elements and emit json parse events instead of parsing a json element fully.classA helper class which allows you to easily parse protocols which are delimited by a sequence of bytes, or fixed size records.classA helper class which allows you to easily parse protocols which are delimited by a sequence of bytes, or fixed size records.Methods in io.vertx.reactivex.core.parsetools that return types with arguments of type BufferModifier and TypeMethodDescriptionRecordParser.pipe()Pause this stream and return a to transfer the elements of this stream to a destination .RecordParser.toFlowable()RecordParser.toObservable()Methods in io.vertx.reactivex.core.parsetools with parameters of type BufferModifier and TypeMethodDescriptionvoidRecordParser.delimitedMode(Buffer delim) Flip the parser into delimited mode, and where the delimiter can be represented by the delimiterdelim.voidSomething has happened, so handle it.voidThis method is called to provide the parser with data.static RecordParserRecordParser.newDelimited(Buffer delim) Create a newRecordParserinstance, initially in delimited mode, and where the delimiter can be represented by theBufferdelim.static RecordParserRecordParser.newDelimited(Buffer delim, Flowable<Buffer> stream) LikeRecordParser.newDelimited(String, Handler)but wraps thestream.static RecordParserRecordParser.newDelimited(Buffer delim, Handler<Buffer> output) LikeRecordParser.newDelimited(String, Handler)but set theoutputthat will receive whole records which have been parsed.static RecordParserRecordParser.newDelimited(Buffer delim, ReadStream<Buffer> stream) LikeRecordParser.newDelimited(String, Handler)but wraps thestream.Handle aBuffer, pretty much like callingHandler.Method parameters in io.vertx.reactivex.core.parsetools with type arguments of type BufferModifier and TypeMethodDescriptionstatic RecordParserRecordParser.newDelimited(Buffer delim, Flowable<Buffer> stream) LikeRecordParser.newDelimited(String, Handler)but wraps thestream.static RecordParserRecordParser.newDelimited(Buffer delim, Handler<Buffer> output) LikeRecordParser.newDelimited(String, Handler)but set theoutputthat will receive whole records which have been parsed.static RecordParserRecordParser.newDelimited(Buffer delim, ReadStream<Buffer> stream) LikeRecordParser.newDelimited(String, Handler)but wraps thestream.static RecordParserRecordParser.newDelimited(String delim, Flowable<Buffer> stream) LikeRecordParser.newDelimited(String, Handler)but wraps thestream.static RecordParserRecordParser.newDelimited(String delim, Handler<Buffer> output) LikeRecordParser.newDelimited(String, Handler)but set theoutputthat will receive whole records which have been parsed.static RecordParserRecordParser.newDelimited(String delim, ReadStream<Buffer> stream) LikeRecordParser.newDelimited(String, Handler)but wraps thestream.static RecordParserLikeRecordParser.newFixed(int)but wraps thestream.static RecordParserLikeRecordParser.newFixed(int)but set theoutputthat will receive whole records which have been parsed.static RecordParserRecordParser.newFixed(int size, ReadStream<Buffer> stream) LikeRecordParser.newFixed(int)but wraps thestream.static JsonParserCreate a newJsonParserinstance.static JsonParserJsonParser.newParser(ReadStream<Buffer> stream) Create a newJsonParserinstance.RecordParser.pipeTo(WriteStream<Buffer> dst) Pipe thisReadStreamto theWriteStream.RecordParser.rxPipeTo(WriteStream<Buffer> dst) Pipe thisReadStreamto theWriteStream.void -
Uses of Buffer in io.vertx.reactivex.ext.mail
Methods in io.vertx.reactivex.ext.mail that return BufferMethods in io.vertx.reactivex.ext.mail that return types with arguments of type BufferMethods in io.vertx.reactivex.ext.mail with parameters of type BufferModifier and TypeMethodDescriptionset the dataMethod parameters in io.vertx.reactivex.ext.mail with type arguments of type BufferModifier and TypeMethodDescriptionSets the data stream.MailAttachment.setStream(ReadStream<Buffer> stream) Sets the data stream. -
Uses of Buffer in io.vertx.reactivex.ext.mongo
Methods in io.vertx.reactivex.ext.mongo that return types with arguments of type BufferModifier and TypeMethodDescriptionMongoGridFsClient.readByFileName(String fileName) Read file by name to ReadStreamMongoGridFsClient.readByFileNameWithOptions(String fileName, GridFsDownloadOptions options) Read file by name to ReadStream with optionsRead file by id to ReadStreamMethod parameters in io.vertx.reactivex.ext.mongo with type arguments of type BufferModifier and TypeMethodDescriptionMongoGridFsClient.downloadByFileName(WriteStream<Buffer> stream, String fileName) MongoGridFsClient.downloadByFileNameWithOptions(WriteStream<Buffer> stream, String fileName, GridFsDownloadOptions options) MongoGridFsClient.downloadById(WriteStream<Buffer> stream, String id) MongoGridFsClient.rxDownloadByFileName(WriteStream<Buffer> stream, String fileName) MongoGridFsClient.rxDownloadByFileNameWithOptions(WriteStream<Buffer> stream, String fileName, GridFsDownloadOptions options) MongoGridFsClient.rxDownloadById(WriteStream<Buffer> stream, String id) MongoGridFsClient.rxUploadByFileName(Flowable<Buffer> stream, String fileName) MongoGridFsClient.rxUploadByFileName(ReadStream<Buffer> stream, String fileName) MongoGridFsClient.rxUploadByFileNameWithOptions(Flowable<Buffer> stream, String fileName, GridFsUploadOptions options) MongoGridFsClient.rxUploadByFileNameWithOptions(ReadStream<Buffer> stream, String fileName, GridFsUploadOptions options) MongoGridFsClient.uploadByFileName(Flowable<Buffer> stream, String fileName) MongoGridFsClient.uploadByFileName(ReadStream<Buffer> stream, String fileName) MongoGridFsClient.uploadByFileNameWithOptions(Flowable<Buffer> stream, String fileName, GridFsUploadOptions options) MongoGridFsClient.uploadByFileNameWithOptions(ReadStream<Buffer> stream, String fileName, GridFsUploadOptions options) -
Uses of Buffer in io.vertx.reactivex.ext.stomp
Methods in io.vertx.reactivex.ext.stomp with parameters of type BufferModifier and TypeMethodDescriptionSends aSENDframe to the server to the given destination.Sends aSENDframe to the server to the given destination.Sends aSENDframe to the server.Sends aSENDframe to the server to the given destination.Sends aSENDframe to the server to the given destination.Sends aSENDframe to the server.Writes the given buffer to the socket. -
Uses of Buffer in io.vertx.reactivex.ext.web
Methods in io.vertx.reactivex.ext.web that return BufferMethods in io.vertx.reactivex.ext.web with parameters of type Buffer -
Uses of Buffer in io.vertx.reactivex.ext.web.client
Methods in io.vertx.reactivex.ext.web.client that return BufferMethods in io.vertx.reactivex.ext.web.client that return types with arguments of type BufferModifier and TypeMethodDescriptionWebClient.delete(int port, String host, UriTemplate requestURI) Create an HTTP DELETE request to send to the server at the specified host and port.Create an HTTP DELETE request to send to the server at the specified host and port.WebClient.delete(UriTemplate requestURI) Create an HTTP DELETE request to send to the server at the default host and port.Create an HTTP DELETE request to send to the server at the default host and port.WebClient.delete(String host, UriTemplate requestURI) Create an HTTP DELETE request to send to the server at the specified host and default port.Create an HTTP DELETE request to send to the server at the specified host and default port.WebClient.deleteAbs(UriTemplate absoluteURI) Create an HTTP DELETE request to send to the server using an absolute URI, specifying a response handler to receive the responseCreate an HTTP DELETE request to send to the server using an absolute URI, specifying a response handler to receive the responseWebClient.get(int port, String host, UriTemplate requestURI) Create an HTTP GET request to send to the server at the specified host and port.Create an HTTP GET request to send to the server at the specified host and port.WebClient.get(UriTemplate requestURI) Create an HTTP GET request to send to the server at the default host and port.Create an HTTP GET request to send to the server at the default host and port.WebClient.get(String host, UriTemplate requestURI) Create an HTTP GET request to send to the server at the specified host and default port.Create an HTTP GET request to send to the server at the specified host and default port.WebClient.getAbs(UriTemplate absoluteURI) Create an HTTP GET request to send to the server using an absolute URI, specifying a response handler to receive the responseCreate an HTTP GET request to send to the server using an absolute URI, specifying a response handler to receive the responseWebClient.head(int port, String host, UriTemplate requestURI) Create an HTTP HEAD request to send to the server at the specified host and port.Create an HTTP HEAD request to send to the server at the specified host and port.WebClient.head(UriTemplate requestURI) Create an HTTP HEAD request to send to the server at the default host and port.Create an HTTP HEAD request to send to the server at the default host and port.WebClient.head(String host, UriTemplate requestURI) Create an HTTP HEAD request to send to the server at the specified host and default port.Create an HTTP HEAD request to send to the server at the specified host and default port.WebClient.headAbs(UriTemplate absoluteURI) Create an HTTP HEAD request to send to the server using an absolute URI, specifying a response handler to receive the responseCreate an HTTP HEAD request to send to the server using an absolute URI, specifying a response handler to receive the responseWebClient.patch(int port, String host, UriTemplate requestURI) Create an HTTP PATCH request to send to the server at the specified host and port.Create an HTTP PATCH request to send to the server at the specified host and port.WebClient.patch(UriTemplate requestURI) Create an HTTP PATCH request to send to the server at the default host and port.Create an HTTP PATCH request to send to the server at the default host and port.WebClient.patch(String host, UriTemplate requestURI) Create an HTTP PATCH request to send to the server at the specified host and default port.Create an HTTP PATCH request to send to the server at the specified host and default port.WebClient.patchAbs(UriTemplate absoluteURI) Create an HTTP PATCH request to send to the server using an absolute URI, specifying a response handler to receive the responseCreate an HTTP PATCH request to send to the server using an absolute URI, specifying a response handler to receive the responseWebClient.post(int port, String host, UriTemplate requestURI) Create an HTTP POST request to send to the server at the specified host and port.Create an HTTP POST request to send to the server at the specified host and port.WebClient.post(UriTemplate requestURI) Create an HTTP POST request to send to the server at the default host and port.Create an HTTP POST request to send to the server at the default host and port.WebClient.post(String host, UriTemplate requestURI) Create an HTTP POST request to send to the server at the specified host and default port.Create an HTTP POST request to send to the server at the specified host and default port.WebClient.postAbs(UriTemplate absoluteURI) Create an HTTP POST request to send to the server using an absolute URI, specifying a response handler to receive the responseCreate an HTTP POST request to send to the server using an absolute URI, specifying a response handler to receive the responseWebClient.put(int port, String host, UriTemplate requestURI) Create an HTTP PUT request to send to the server at the specified host and port.Create an HTTP PUT request to send to the server at the specified host and port.WebClient.put(UriTemplate requestURI) Create an HTTP PUT request to send to the server at the default host and port.Create an HTTP PUT request to send to the server at the default host and port.WebClient.put(String host, UriTemplate requestURI) Create an HTTP PUT request to send to the server at the specified host and default port.Create an HTTP PUT request to send to the server at the specified host and default port.WebClient.putAbs(UriTemplate absoluteURI) Create an HTTP PUT request to send to the server using an absolute URI, specifying a response handler to receive the responseCreate an HTTP PUT request to send to the server using an absolute URI, specifying a response handler to receive the responseWebClient.request(HttpMethod method, int port, String host, UriTemplate requestURI) Create an HTTP request to send to the server at the specified host and port.WebClient.request(HttpMethod method, int port, String host, String requestURI) Create an HTTP request to send to the server at the specified host and port.WebClient.request(HttpMethod method, RequestOptions options) Deprecated.WebClient.request(HttpMethod method, SocketAddress serverAddress, int port, String host, UriTemplate requestURI) LikeWebClient.request(HttpMethod, int, String, String)using theserverAddressparameter to connect to the server instead of theportandhostparameters.WebClient.request(HttpMethod method, SocketAddress serverAddress, int port, String host, String requestURI) LikeWebClient.request(HttpMethod, int, String, String)using theserverAddressparameter to connect to the server instead of theportandhostparameters.WebClient.request(HttpMethod method, SocketAddress serverAddress, RequestOptions options) Deprecated.WebClient.request(HttpMethod method, SocketAddress serverAddress, UriTemplate requestURI) LikeWebClient.request(HttpMethod, int, String, String)using theserverAddressparameter to connect to the server instead of the default port and default host.WebClient.request(HttpMethod method, SocketAddress serverAddress, String requestURI) LikeWebClient.request(HttpMethod, int, String, String)using theserverAddressparameter to connect to the server instead of the default port and default host.WebClient.request(HttpMethod method, SocketAddress serverAddress, String host, UriTemplate requestURI) LikeWebClient.request(HttpMethod, int, String, String)using theserverAddressparameter to connect to the server instead of the default port andhostparameter.WebClient.request(HttpMethod method, SocketAddress serverAddress, String host, String requestURI) LikeWebClient.request(HttpMethod, int, String, String)using theserverAddressparameter to connect to the server instead of the default port andhostparameter.WebClient.request(HttpMethod method, UriTemplate requestURI) Create an HTTP request to send to the server at the default host and port.WebClient.request(HttpMethod method, String requestURI) Create an HTTP request to send to the server at the default host and port.WebClient.request(HttpMethod method, String host, UriTemplate requestURI) Create an HTTP request to send to the server at the specified host and default port.WebClient.request(HttpMethod method, String host, String requestURI) Create an HTTP request to send to the server at the specified host and default port.WebClient.request(RequestOptions options) Create an HTTP request to send to the server from the specified requestoptions.WebClient.requestAbs(HttpMethod method, SocketAddress serverAddress, UriTemplate absoluteURI) LikeWebClient.requestAbs(HttpMethod, String)using theserverAddressparameter to connect to the server instead of theabsoluteURIparameter.WebClient.requestAbs(HttpMethod method, SocketAddress serverAddress, String absoluteURI) LikeWebClient.requestAbs(HttpMethod, String)using theserverAddressparameter to connect to the server instead of theabsoluteURIparameter.WebClient.requestAbs(HttpMethod method, UriTemplate absoluteURI) Create an HTTP request to send to the server using an absolute URIWebClient.requestAbs(HttpMethod method, String absoluteURI) Create an HTTP request to send to the server using an absolute URIMethods in io.vertx.reactivex.ext.web.client with parameters of type BufferModifier and TypeMethodDescriptionHttpRequest.basicAuthentication(Buffer id, Buffer password) Configure the request to perform basic access authentication.HttpRequest.rxSendBuffer(Buffer body) LikeHttpRequest.send()but with an HTTP requestbodybuffer.HttpRequest.sendBuffer(Buffer body) LikeHttpRequest.send()but with an HTTP requestbodybuffer.Method parameters in io.vertx.reactivex.ext.web.client with type arguments of type BufferModifier and TypeMethodDescriptionHttpRequest.rxSendStream(Flowable<Buffer> body) LikeHttpRequest.send()but with an HTTP requestbodystream.HttpRequest.rxSendStream(ReadStream<Buffer> body) LikeHttpRequest.send()but with an HTTP requestbodystream.HttpRequest.sendStream(Flowable<Buffer> body) LikeHttpRequest.send()but with an HTTP requestbodystream.HttpRequest.sendStream(ReadStream<Buffer> body) LikeHttpRequest.send()but with an HTTP requestbodystream. -
Uses of Buffer in io.vertx.reactivex.ext.web.codec
Methods in io.vertx.reactivex.ext.web.codec that return types with arguments of type BufferMethod parameters in io.vertx.reactivex.ext.web.codec with type arguments of type BufferModifier and TypeMethodDescriptionBodyCodec.pipe(WriteStream<Buffer> stream) A body codec that pipes the body to a write stream.BodyCodec.pipe(WriteStream<Buffer> stream, boolean close) A body codec that pipes the body to a write stream.static <T> BodyCodec<T> Create a codec that buffers the entire body and then apply thedecodefunction and returns the result. -
Uses of Buffer in io.vertx.reactivex.ext.web.common.template
Methods in io.vertx.reactivex.ext.web.common.template that return types with arguments of type BufferModifier and TypeMethodDescriptionTemplateEngine.render(JsonObject context, String templateFileName) Render the template.Render the template.TemplateEngine.rxRender(JsonObject context, String templateFileName) Render the template.Render the template. -
Uses of Buffer in io.vertx.reactivex.ext.web.handler.sockjs
Classes in io.vertx.reactivex.ext.web.handler.sockjs that implement interfaces with type arguments of type BufferModifier and TypeClassDescriptionclassYou interact with SockJS clients through instances of SockJS socket.classYou interact with SockJS clients through instances of SockJS socket.Methods in io.vertx.reactivex.ext.web.handler.sockjs that return types with arguments of type BufferModifier and TypeMethodDescriptionSockJSSocket.pipe()Pause this stream and return a to transfer the elements of this stream to a destination .SockJSSocket.toFlowable()SockJSSocket.toObservable()SockJSSocket.toObserver()SockJSSocket.toSubscriber()Methods in io.vertx.reactivex.ext.web.handler.sockjs with parameters of type BufferModifier and TypeMethodDescriptionSame asSockJSSocket.end(Buffer)but writes some data to the stream before ending.Same asSockJSSocket.end(Buffer)but writes some data to the stream before ending.Method parameters in io.vertx.reactivex.ext.web.handler.sockjs with type arguments of type BufferModifier and TypeMethodDescriptionSockJSSocket.pipeTo(WriteStream<Buffer> dst) Pipe thisReadStreamto theWriteStream.SockJSSocket.rxPipeTo(WriteStream<Buffer> dst) Pipe thisReadStreamto theWriteStream. -
Uses of Buffer in io.vertx.reactivex.ext.web.multipart
Methods in io.vertx.reactivex.ext.web.multipart that return BufferMethods in io.vertx.reactivex.ext.web.multipart with parameters of type BufferModifier and TypeMethodDescriptionMultipartForm.binaryFileUpload(String name, String filename, Buffer content, String mediaType) Add a binary file upload form data part.MultipartForm.textFileUpload(String name, String filename, Buffer content, String mediaType) Add a text file upload form data part. -
Uses of Buffer in io.vertx.reactivex.ext.web.sstore.cookie
Methods in io.vertx.reactivex.ext.web.sstore.cookie with parameters of type Buffer -
Uses of Buffer in io.vertx.reactivex.ext.web.validation
Methods in io.vertx.reactivex.ext.web.validation that return Buffer -
Uses of Buffer in io.vertx.reactivex.grpc.client
Methods in io.vertx.reactivex.grpc.client that return types with arguments of type BufferModifier and TypeMethodDescriptionGrpcClient.request()LikeGrpcClient.request(Address)with the default remote server.GrpcClient.request()LikeGrpcClient.request(Address)with the default remote server.Connect to the remoteserverand create a request for any hosted gRPC service.Connect to the remoteserverand create a request for any hosted gRPC service.GrpcClient.rxRequest()LikeGrpcClient.request(Address)with the default remote server.GrpcClient.rxRequest()LikeGrpcClient.request(Address)with the default remote server.Connect to the remoteserverand create a request for any hosted gRPC service.Connect to the remoteserverand create a request for any hosted gRPC service. -
Uses of Buffer in io.vertx.reactivex.grpc.server
Method parameters in io.vertx.reactivex.grpc.server with type arguments of type BufferModifier and TypeMethodDescriptionGrpcServer.callHandler(Handler<GrpcServerRequest<Buffer, Buffer>> handler) Set a call handler that handles any call made to the server.GrpcServer.callHandler(Handler<GrpcServerRequest<Buffer, Buffer>> handler) Set a call handler that handles any call made to the server. -
Uses of Buffer in io.vertx.reactivex.kafka.client.producer
Methods in io.vertx.reactivex.kafka.client.producer that return BufferMethods in io.vertx.reactivex.kafka.client.producer with parameters of type BufferModifier and TypeMethodDescriptionLikeKafkaProducerRecord.addHeader(String, String)but with a key/value pairstatic KafkaHeader -
Uses of Buffer in io.vertx.reactivex.mqtt
Methods in io.vertx.reactivex.mqtt with parameters of type BufferModifier and TypeMethodDescriptionMqttClient.publish(int id, String topic, Buffer payload, MqttQoS qosLevel, boolean isDup, boolean isRetain) Sends the PUBLISH message to the remote MQTT serverSends the PUBLISH message to the remote MQTT serverMqttEndpoint.publish(String topic, Buffer payload, MqttQoS qosLevel, boolean isDup, boolean isRetain) Sends the PUBLISH message to the remote MQTT clientMqttEndpoint.publish(String topic, Buffer payload, MqttQoS qosLevel, boolean isDup, boolean isRetain, int messageId) Sends the PUBLISH message to the remote MQTT server explicitly specifying the messageIdMqttEndpoint.publish(String topic, Buffer payload, MqttQoS qosLevel, boolean isDup, boolean isRetain, int messageId, MqttProperties properties) Sends the PUBLISH message to the remote MQTT server explicitly specifying the messageIdMqttClient.rxPublish(int id, String topic, Buffer payload, MqttQoS qosLevel, boolean isDup, boolean isRetain) Sends the PUBLISH message to the remote MQTT serverMqttClient.rxPublish(String topic, Buffer payload, MqttQoS qosLevel, boolean isDup, boolean isRetain) Sends the PUBLISH message to the remote MQTT serverMqttEndpoint.rxPublish(String topic, Buffer payload, MqttQoS qosLevel, boolean isDup, boolean isRetain) Sends the PUBLISH message to the remote MQTT clientMqttEndpoint.rxPublish(String topic, Buffer payload, MqttQoS qosLevel, boolean isDup, boolean isRetain, int messageId) Sends the PUBLISH message to the remote MQTT server explicitly specifying the messageIdMqttEndpoint.rxPublish(String topic, Buffer payload, MqttQoS qosLevel, boolean isDup, boolean isRetain, int messageId, MqttProperties properties) Sends the PUBLISH message to the remote MQTT server explicitly specifying the messageId -
Uses of Buffer in io.vertx.reactivex.mqtt.messages
Methods in io.vertx.reactivex.mqtt.messages that return BufferModifier and TypeMethodDescriptionMqttAuthenticationExchangeMessage.authenticationData()MqttPublishMessage.payload()Methods in io.vertx.reactivex.mqtt.messages with parameters of type BufferModifier and TypeMethodDescriptionstatic MqttPublishMessageMqttPublishMessage.create(int messageId, MqttQoS qosLevel, boolean isDup, boolean isRetain, String topicName, Buffer payload, MqttProperties properties) Create a concrete instance of a Vert.x publish message -
Uses of Buffer in io.vertx.reactivex.openapi.mediatype
Methods in io.vertx.reactivex.openapi.mediatype with parameters of type BufferModifier and TypeMethodDescriptionContentAnalyserFactory.create(String contentType, Buffer content, ValidationContext context) Creates a new ContentAnalyser for the provided request.MediaTypeRegistration.createContentAnalyser(String contentType, Buffer content, ValidationContext context) Creates a newContentAnalyser. -
Uses of Buffer in io.vertx.reactivex.openapi.validation
Methods in io.vertx.reactivex.openapi.validation that return BufferModifier and TypeMethodDescriptionParameter.getBuffer()RequestParameter.getBuffer()ResponseParameter.getBuffer()Methods in io.vertx.reactivex.openapi.validation with parameters of type BufferModifier and TypeMethodDescriptionstatic ValidatableResponseCreates a newValidatableResponseobject based on the passed parameters.static ValidatableResponseValidatableResponse.create(int statusCode, Map<String, String> headers, Buffer body, String contentType) Creates a newValidatableResponseobject based on the passed parameters. -
Uses of Buffer in io.vertx.reactivex.rabbitmq
[...]
